# Create past periods data

Creates past periods in preparation for migration.

Endpoint: POST /people/{personId}/loans/{loanId}/migration/past-periods
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

## Request fields (application/json):

  - `pastPeriods` (array, required)

  - `pastPeriods.statement` (object, required)

  - `pastPeriods.statement.creditBalanceAmount` (number)
    The total amount that a lender owes to the borrower.
Note: Peach system does not allow negative balances. Use `creditBalanceAmount` to represent credit balance owed to the borrower.

  - `pastPeriods.statement.documentDescriptorId` (string)
    The statement's document descriptor ID.

  - `pastPeriods.statement.minimumAmountDue` (number, required)
    The minimum or recurring amount due for this period (also called obligation). This amount is a sum of interest
accrued, fees and part of a principal. This amount does not net any payments or service credits made in the period.

  - `pastPeriods.statement.newBalanceAmount` (number, required)
    The new balance amount for the period.

## Response 201 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (array)

  - `data.statement` (object)

  - `data.statement.creditBalanceAmount` (number)
    The total amount that a lender owes to the borrower.
Note: Peach system does not allow negative balances. Use `creditBalanceAmount` to represent credit balance owed to the borrower.

  - `data.statement.documentDescriptorId` (string)
    The statement's document descriptor ID.

  - `data.statement.minimumAmountDue` (number)
    The minimum or recurring amount due for this period (also called obligation). This amount is a sum of interest
accrued, fees and part of a principal. This amount does not net any payments or service credits made in the period.

  - `data.statement.newBalanceAmount` (number)
    The new balance amount for the period.

